> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/features/download-images/sharinpix-album-multiple-image-zip-download.md).

# SharinPix Album: Multiple Image ZIP Download

This article demonstrates how to download selected images from a SharinPix album as a ZIP. By default, downloads are in **Original** (unchanged formats), but you can also enable **Current** (edited JPG) or have both.

{% hint style="warning" %}
**Prerequisite:**

Activate ZIP downloads by enabling the **Download ZIP** option. This can be configured via:

* [SharinPix Global Settings](#sharinpix-global-settings)
* [SharinPix Permission Record](#sharinpix-permission-record)
* [Visualforce Implementation](#visualforce-implementation)
  {% endhint %}

## Download Options

Depending on which download options are enabled, images can be downloaded in their original format, the edited JPG format, or both.

| Download Options Enabled          | Download Zip Image Formats                                |
| --------------------------------- | --------------------------------------------------------- |
| Download zip                      | Original unedited image                                   |
| Download zip + Original           | Original unedited image                                   |
| Download zip + Current            | Image with current edits/transformations converted to JPG |
| Download zip + Original + Current | Both Original and Current image formats                   |

### SharinPix Global Settings

![](/files/a0DrKN8nCShLgNxzNtdJ)

{% hint style="info" %}
**Info:**

For more information on how to access and configure the *SharinPix Global Settings*, please refer to:

[How to use the SharinPix Global Settings](/getting-started/advanced-configuration-customizing-your-sharinpix-components-with-sharinpix-permissions.md)
{% endhint %}

### SharinPix Permission Record

In the **Download Types** field, enter **original**, **current**, or both separated by a semicolon **(original; current)**. Refer to the [Download Options](#download-options) table above.

![](/files/fnat6BfziJwWDBnKZ0zH)

{% hint style="info" %}
**Info:**

For information on how to access and configure a *SharinPix Permission record*, please refer to:

[How to create and use the SharinPix Permission record](/documentation/access-and-security/sharinpix-permission-object-how-to-create-and-assign-custom-permission.md)
{% endhint %}

### Visualforce Implementation

You can have more controls on the download formats with '**download\_types': \['original', 'current']** or just enable download zip with **'download': true**. Refer to the [Download Option](#download-options)s table above.

```
<apex:page standardController="Opportunity"> 
 <sharinpix:SharinPix height="500px" 
	parameters="{
     'Id': '{!CASESAFEID($CurrentPage.parameters.Id)}', 
     'download': true,
     'download_types': ['original', 'current'],
     'abilities':{'{!CASESAFEID($CurrentPage.parameters.Id)}':
         	{'Access': {
            'image_tag':true,
            'paste':true,
            'image_copy':true,
            'image_download':true,
            'image_rotate':true,
            'image_crop':true,
            'image_delete':true,
            'image_upload':true,
            'image_list':true,
            'see':true 
            }
			   }
	   }
	}" 
	/> 
</apex:page>
```

{% hint style="info" %}
**Info:**

For more information on how to configure your *VisualForce page*, please refer to:

[Learn more on Visualforce Implementation](/documentation/features/download-images/multiple-image-download-zip-how-to-add-download-true-to-a-visualforce-page.md)
{% endhint %}

## Demo

The example below demonstrates how to download selected images as a ZIP file.

1\. Select some images from the album by clicking on the **selection icons.**

![](/files/zqqKTUjcZmmg9GUIk8QY)

2\. Once the images are selected, click on the **selection dropdown.**

![](/files/L0BMB4SS7zIRu7npoOEM)

3\. Next, click on the **Download** option.

![](/files/5XQhZztF6AI3lXJxQdwA)

4\. Depending on which options were enabled as described in the [Download Types](#download-options) table, you will see one or more download zip buttons. The zip file will begin downloading once one of the available download zip buttons is clicked.

* A single **Download ZIP** button is available when enabled with **Download Zip** alone, or combined with **Original only**, or with **Current only**.

![](/files/u8FKZhSNM9sfBRCYcqGi)

* Two **Download ZIP** buttons are available when **Download ZIP** , **Original** , and **Current** options are all enabled.

![](/files/NhIcEmcnlVdscvUDd13Y)

{% hint style="success" %}
**Tips:**

SharinPix also allows you to personalize the download filenames. For more information on how to configure the filenames, refer to the article below:

[Multiple Image download (ZIP) - How to personalize the download filenames](/documentation/features/download-images/multiple-image-download-zip-how-to-personalize-the-download-filenames.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sharinpix.com/documentation/features/download-images/sharinpix-album-multiple-image-zip-download.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
